Subject: Re: bug#21067: 25.0.50; [PATCH] With mercurial, vc-print-log puts point at eob

From: Dmitry Gutov <[email-masked]>
Date: Sun, 19 Jul 2015 21:04:56 +0300

On 07/19/2015 04:36 AM, Wolfgang Jenkner wrote:

> If all -print-log backend functions can be made asynchronous there's
> nothing left to fix in the frontend I guess...

I've applied the patch to vc-hg-print-log, but a lot of older backends 
(mtn, sccs, and also src) still use the synchronous calls there.

Some even seem to do that on purpose (cvs and mcvs), choosing between 
async and sync at runtime. I don't know why, so I'm hesitant to change 
all of them.